<%@page import="java.util.ArrayList"%>
<%@page import="java.util.Iterator"%>
<%@page import="mainapp.Factory"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
    ArrayList<Factory> factories= Factory.getAllFactories();
%>
<h1 style="text-align: center">Εργοστάσια <a href="?action=add_factory" class="link-button"><i class="fa fa-plus"></i> Προσθήκη εργοστασίου</a></h1>
<hr /><br />
<h6 class="form_error" style="text-align: center">
<%
    if (request.getParameterMap().containsKey("del")) {
        out.print("Το εργοστάσιο διαγράφηκε επιτυχώς");
    }
%>
</h6>
<h6 class="success">
    <%
        if (request.getParameter("insert") != null) {
            out.print("Το εργοστάσιο δημιουργήθηκε επιτυχώς");
        }
    %>
</h6>
<table class="info-table">
    <tr><th>Όνομα</th><th>Διεύθυνση</th><th>Ιδιοκτήτης</th><th>Τηλέφωνο</th>
    <th width="10%">Λειτουργίες</th></tr>
    <%
        Iterator i;
        i = factories.iterator();
        Factory f = null;
        while (i.hasNext()) {
            f = (Factory)i.next();
            out.print("<tr><td>"+f.getName()+"</td><td>"+
                    f.getAddress()+"</td><td>"+f.getOwner()+"</td><td>"+
                    f.getPhone()+"</td>"+
                    "<td class='actions text-center'>"+
                    "<a class='red' title='διαγραφή' href='"+request.getContextPath()+"/DeleteFactoryAction?factory_id="+f.getID()+"'><i class='fa fa-times'></i></a> "+
                    "<a class='blue' title='παραγωγές' href='?action=factory_productions&amp;factory_id="+f.getID()+"'><i class='fa fa-gears'></i></a>"+
                    "</td></tr>");
        }
    %>
</table>